Gelmiş geçmiş en büyük porno sitemiz olan 2pe de her zaman en kaliteli pornoları sunmayı hedefledik. Diğer video sitemiz olan vuam da ise hd porno ağırlıklı çalışmalara başladık.

  1. #1
    Sencha User
    Join Date
    Mar 2012
    Posts
    9
    Vote Rating
    0
    mickey35vn is on a distinguished road

      0  

    Default Compass compile error: NoMethodError on line ["23"] of C

    Compass compile error: NoMethodError on line ["23"] of C


    When I try to generate a test package without minified source code, I get this :

    Code:
    [INF] executing compass using system installed ruby runtimeNoMethodError on line ["23"] of C: undefined method `empty?' for nil:NilClass
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/sass-3.1.7/lib/sas
    s/engine.rb:293:in `_render'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/sass-3.1.7/lib/sas
    s/engine.rb:240:in `render'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:140:in `block (2 levels) in compile'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:126:in `timed'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:139:in `block in compile'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/logger.rb:45:in `red'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:138:in `compile'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:118:in `compile_if_required'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:103:in `block (2 levels) in run'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:101:in `each'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:101:in `block in run'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:126:in `timed'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/compiler.rb:100:in `run'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/commands/update_project.rb:45:in `perform'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/commands/base.rb:18:in `execute'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/commands/project_base.rb:19:in `execute'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/exec/sub_command_ui.rb:43:in `perform!'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/lib
    /compass/exec/sub_command_ui.rb:15:in `run!'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/bin
    /compass:30:in `block in <top (required)>'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/bin
    /compass:44:in `call'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/gems/compass-0.12.2/bin
    /compass:44:in `<top (required)>'
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/bin/compass:23:in `load
    '
      C:/Sencha/Cmd/3.1.1.274/extensions/sencha-compass/gems/bin/compass:23:in `<mai
    n>'
       remove ../css/app.css
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.ExProcess: compass process exited with non-zero code
     : 1
    [ERR]
    [ERR] Total time: 8 seconds
    Please help me solve this problem. Thank you.

  2. #2
    Sencha Premium Member
    Join Date
    Jun 2011
    Location
    NL
    Posts
    39
    Vote Rating
    11
    richardvd will become famous soon enough

      1  

    Default


    Downgrade to ruby-1.9.3-p392, as Sencha Cmd doesn't seem to work well with ruby-2.0.x.
    Richard

  3. #3
    Sencha User
    Join Date
    Mar 2012
    Posts
    9
    Vote Rating
    0
    mickey35vn is on a distinguished road

      0  

    Default


    This problem is solved. Thank you.

  4. #4
    Ext JS Premium Member
    Join Date
    Jan 2012
    Posts
    132
    Vote Rating
    0
    shailykamboj is on a distinguished road

      0  

    Default


    I am also facing a similar issue but even after installing Ruby 193-392 I am nto able to resolve the problem ....here are the details -
    http://www.sencha.com/forum/showthre...on-zero-code-1

  5. #5
    Ext JS Premium Member
    Join Date
    Jan 2012
    Posts
    132
    Vote Rating
    0
    shailykamboj is on a distinguished road

      0  

    Default


    Also as per documentation Sencha CMD 3.1.1 should take care of Ruby and Compass but that desnt seem to happen , it always looks for system installed Ruby !

Thread Participants: 2